<?php
/**
 * Zagomail Settings Page
 *
 * @package ZagomailPlugin
 */

defined( 'ABSPATH' ) || exit;

function showSettingsPage()
{
    global $manager;

    $registrationUrl = '#';
    ?>
    <div class="connection-info-container">
        <div class="connection-content-left">
            <p class="title-text">ZagoMail</p>
            <p class="sub-title-text">Your site is now successfully connected to ZagoMail account</p>
            <div class="connection-btns">
                <form method="post" id="unlink-account-form">
                    <input type="hidden" name="action" value="unlink">
                    <button type="button" id="unlink-account-btn" class="unlink-account-btn">Unlink account</button>
                </form>
            </div>
        </div>
        <div class="connection-content-right">
            <img class="connection-image" src="<?php echo esc_url( plugin_dir_url( __NAMESPACE__ ) ) . 'zago-wordpress/assets/img/connection.png'; ?>">
        </div>
    </div>
    <script type="text/javascript">
        (function(){
            const unlinkAccountButton = document.getElementById('unlink-account-btn');

            function unlinkAccount() {
                let confirmMessage = 'This will remove all integration data in your ZagoMail account. Are you sure you want to continue?';
                if (confirm(confirmMessage)) {
                    const form = document.getElementById('unlink-account-form');
                    form.submit();
                }
            }

            unlinkAccountButton.addEventListener('click', unlinkAccount)
        })()
    </script>
    <?php
}

function zagoHandleSettingsPageActions_WP(): bool
{
    // phpcs:disable WordPress.Security.NonceVerification
    if (empty($_POST['action'])) {
        return true;
    }

    if ($_POST['action'] == 'unlink') {

        global $manager;
        $manager->unlink_zago_account_wp();

        delete_option('zago_api_public_key');
        delete_option('zago_api_private_key');

        global $wp;
        $wp->parse_request();
        $current_url = home_url(add_query_arg(array($_GET), $wp->request));

        update_option('zago_notice_message', 'Your ZagoMail account was successfully disconnected');

        header('Location: ' . $current_url);
        return false;
    }

    return true;
}
